Packages - Housekeeping #3501

Drop [community{,-staging,-testing}], [staging], [testing] - import [core{-staging,-testing}],
[extra{-staging,-testing}]
2023-06-23 03:52 AM - Megver83

Status: on-hold % Done: 100%
Priority: bug

Assignee: bill-auger

Category:

Description

Some time ago, Arch announced their git migration which meant they merged [community] into [extra] and split [testing] into
[extra-testing] and [core-testing] (same with -staging repos). We must sync these new repos, drop the old ones and reflect these
changes in pacman.

Subtasks:

Bug # 3485: community.db is empty and packages are missing fixed

Bug # 3498: [lib32-ncurses][lib32-libtiff][multiple]: warning: cannot resolve dependency fixed

Bug # 3512: opencl-mesa replacements breaks dependency with lib32-opencl-mesa fixed

Bug # 3523: libsndfile breaks dependency of lib32-libsndfile fixed

Bug # 3524: wine and wine-staging is out of date fixed

Bug # 3559: [prosody][community] Needs to be Removed duplicate
History

#1 - 2023-06-26 09:15 PM - bill-auger

also, multilib seems to be impacted - it will need to be done very carefully -
the migration is mostly automatic; and could not be prevented - but the arch
migration caused a huge problem, because winston is so low of empty disk
space - so i have been holding-off on adding the new repos until arch32 and
archarm have completed their migration

i did not expect it to take so long though - archarm completed their migration
just a few days ago - arch32 is still working on it

#2 - 2023-09-07 07:00 PM - Megver83

To this date, all but wine packages in [community] are marked 'to be deleted" in Arch32 and they've no [testing] packages anymore.

They already migrated to the new repos layout, | think it's time for us to do the same.

#3 - 2023-09-23 04:32 PM - bill-auger
- Assignee set to bill-auger

- Status changed from open to in progress

ok, this is done for x86_64 (mostly) - after the initial import failed for a very peculiar reason, i learned from the folks in #archlinux-devops that there is
a bug in arch dbscripts (not ours) which causes some packages to be in multiple repos - the importer was not designed for that "undefined behavior";
so it makes a mess and chokes

as the importer tries to update the entire repo-set atomically (in a loop), it moves those packages from extra to extra-testing, then on the next iteration
it tries to move them from extra to extra-staging, but fails because they are no longer in extra - i was watching the initial import closely; so i knew
something was wrong even before it failed - packages should never flow upward - i was able to db-move them manually, back into extra where they
should be, then exclude extra-testing and extra-staging fro future imports

until that problem is resolved upstream, extra-testing and extra-staging will not be available; and multilib-testing and multilib-staging will be frozen

they are not sure when that will be - it should be easy to know when though - when this page shows only one x86_64 package
https://archlinux.org/packages/?sort=&q=libreoffice-fresh-af&maintainer=&flagged=

the multilib conflicts appear to be resolved

#4 - 2023-09-24 05:44 AM - bill-auger

done for armv7h
https://archlinux.org/news/git-migration-announcement/
https://www.archlinux32.org/packages/?sort=&repo=i686%2Fcommunity&repo=i686%2Fcommunity-staging&repo=i686%2Fcommunity-testing&q=&bugs=&del=&uses_upstream=&uses_modification=
https://archlinux.org/packages/?sort=&q=libreoffice-fresh-af&maintainer=&flagged=

#5 - 2023-09-24 05:13 PM - bill-auger

- Subject changed from Drop [community], sync [extra-testing] and [core-testing] to Drop [community{,-staging,-testing}], [staging], [testing] - import
[core{-staging,-testing}], [extra{-staging,-testing}]

arch32 has established core{,-staging,-testing} and extra{,-staging,-testing}; but there are still many packages in community and community-staging

the new repos are importing now; there are many thousands of packages in extra-staging; this could fill the disk - we may need to hold back
extra-staging until those packages migrate into extra (hopefully slowly, not all at once)

ive adapted the pacman.conf files already - will make a new package soon

i had updated the 'Repositories' wiki page a few weeks ago; but probably some other pages need updating

#6 - 2023-09-25 11:42 AM - bill-auger

- Status changed from in progress to fixed

ok, its all good - the new 1686 repos imported without trouble - ima call this one done - will just need to remember to stop synch-ing i686
community{,-staging,-testing} after they empty

#7 - 2023-09-26 01:07 AM - Megver83

Great, should we post a news?

#8 - 2023-09-26 01:48 AM - bill-auger

it is newsworthy to me, but thats only because it was such a PITA to accomplish
- but not so interesting to users; because it does not affect most users

most users will not need to do anything, because the community,staging,testing
repos still exist - the only noticeable effect is that “pacman -Sy" will show

them as always up-to-date - the most that anyone would need to do is merge

the pacnew file; but that is common maintenance, not exactly newsworthy - all
parabola users should know to do that anyways - everyone would need to do that
if the community db gets deleted o/c

but arch still has the community,staging,testing repos in place also - that makes
sense to me as a grace period, to give everyone time to upgrade and merge in
the pacnew changes - i would leave it that way for at least a year

OTOH, anyone using staging or testing now, will notice that they are always
empty - those people would want to tweak their pacman.conf now

#10 - 2023-12-28 04:18 AM - bill-auger

- Status changed from fixed to on-hold

i686 still has not completed the migration - still arch32 has about 300 legitimate packages in [community] - ima re-open this one for now, so it wont be
forgotten
